Rename Speakers
PATCH
/v1/objects/{object_id}/speakers
const url = 'https://api.cloud.agentums.ru/v1/objects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/speakers';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"names":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.cloud.agentums.ru/v1/objects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/speakers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "names": { "additionalProperty": "example" } }'Ручная коррекция спикеров («это говорил Дмитрий Никулин»): переименовать метки и
перерисовать транскрипт (его подхватит протокол). Ключ — текущая подпись «Спикер N» или
метка движка (SPEAKER_00). Правка сохраняется в записи.
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»object_id
required
Object Id
string format: uuid
Header Parameters
Заголовок раздела «Header Parameters»Request Bodyrequired
Заголовок раздела «Request Bodyrequired»Media typeapplication/json
SpeakerRenames
object
names
required
Names
object
key
additional properties
string
Examplegenerated
{ "names": { "additionalProperty": "example" }}Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
DiarizedOut
object
object_id
required
Object Id
string format: uuid
speakers
required
Speakers
object
key
additional properties
string
text
required
Text
string
Examplegenerated
{ "object_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "speakers": { "additionalProperty": "example" }, "text": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}